<header class="user-profile-header">

    <mr-profile-avatar
    [username]="user.username"
    [isCurrentUser]="user.isCurrentUser"></mr-profile-avatar>

    <div class="profile-info">

        <div class="info-container">

            <mr-profile-actions
            [username]="user.username"
            [isCurrentUser]="user.isCurrentUser"
            [isFriend]="!!(auth && !!auth.friends[user.username])"></mr-profile-actions>

            <div class="title">
                <h2>{{user.username}}</h2>
                <h6>Fecha de creación {{ user.createdAt | date: 'dd MMM yyyy' }}</h6>
            </div>

        </div>

        <hr>

        <mr-profile-bio
        [username]="user.username"
        [isCurrentUser]="user.isCurrentUser"
        [bio]="user.bio"></mr-profile-bio>

    </div>

</header>
